Security
Turn on directory sync or change the role it grants provisioned members
PUT /v1/directory · SDK putDirectory · CLI deployments directory set
PUT
Requires members:write.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$idempotency-key*stringLength
1 <= length <= 512application/json- body
defaultRole*stringValue in
"member""viewer"DirectoryResponse
application/json- response
createdAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timedefaultRole*stringValue in
"member""viewer"scimBaseUrl*stringtokens*array<>updatedAt*stringMatch
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}\.\d{3}Z$Format
date-timecurl -X PUT "https://example.com/v1/directory" \ -H "x-deployments-organization: string" \ -H "idempotency-key: string" \ -H "Content-Type: application/json" \ -d '{ "defaultRole": "member" }'{ "createdAt": "2019-08-24T14:15:22Z", "defaultRole": "member", "scimBaseUrl": "string", "tokens": [ { "createdAt": "2019-08-24T14:15:22Z", "createdBy": "string", "id": "string", "tokenPrefix": "string" } ], "updatedAt": "2019-08-24T14:15:22Z"}